/*
 *  nautilus-flac-converter.h
 * 
 *  Copyright (C) 2006 Brian Pepple
 *
 *  This library is free software; you can redistribute it and/or
 *  modify it under the terms of the GNU General Public
 *  License as published by the Free Software Foundation; either
 *  version 2 of the License, or (at your option) any later version.
 *
 *  This library is distributed in the hope that it will be useful,
 *  but WITHOUT ANY WARRANTY; without even the implied warranty of
 *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 *  Library General Public License for more details.
 *
 *  You should have received a copy of the GNU General Public
 *  License along with this library; if not, write to the Free
 *  Software Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.
 *
 *  Author: Brian Pepple <bdpepple@gmail.com>
 * 
 */

#ifndef NAUTILUS_FLAC_CONVERTER_H
#define NAUTILUS_FLAC_CONVERTER_H

#include <glib-object.h>

G_BEGIN_DECLS

/* Declarations for the open terminal extension object.  This object will be
 * instantiated by nautilus.  It implements the GInterfaces 
 * exported by libnautilus. */

#define NAUTILUS_TYPE_FLAC_CONVERTER	   (nautilus_flac_converter_get_type ())
#define NAUTILUS_FLAC_CONVERTER(o)         (G_TYPE_CHECK_INSTANCE_CAST ((o), NAUTILUS_TYPE_FLAC_CONVERTER, NautilusFlacConverter))
#define NAUTILUS_IS_FLAC_CONVERTER(o)	   (G_TYPE_CHECK_INSTANCE_TYPE ((o), NAUTILUS_TYPE_FLAC_CONVERTER))
typedef struct _NautilusFlacConverter	   NautilusFlacConverter;
typedef struct _NautilusFlacConverterClass NautilusFlacConverterClass;

struct _NautilusFlacConverter {
	GObject parent_slot;
};

struct _NautilusFlacConverterClass {
	GObjectClass parent_slot;
};

GType nautilus_flac_converter_get_type      (void);
void  nautilus_flac_converter_register_type (GTypeModule *module);

G_END_DECLS

#endif
