/*
 *  nautilus-flac-ogg.h
 * 
 *  Copyright (C) 2006 Brian Pepple
 *
 *  This library is free software; you can redistribute it and/or
 *  modify it under the terms of the GNU General Public
 *  License as published by the Free Software Foundation; either
 *  version 2 of the License, or (at your option) any later version.
 *
 *  This library is distributed in the hope that it will be useful,
 *  but WITHOUT ANY WARRANTY; without even the implied warranty of
 *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 *  Library General Public License for more details.
 *
 *  You should have received a copy of the GNU General Public
 *  License along with this library; if not, write to the Free
 *  Software Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.
 *
 *  Author: Brian Pepple <bdpepple@gmail.com>
 * 
 */

#ifndef NAUTILUS_FLAC_OGG_H
#define NAUTILUS_FLAC_OGG_H

#include <glib-object.h>

G_BEGIN_DECLS

#define NAUTILUS_TYPE_FLAC_OGG         (nautilus_flac_ogg_get_type ())
#define NAUTILUS_FLAC_OGG(o)           (G_TYPE_CHECK_INSTANCE_CAST ((o), NAUTILUS_TYPE_FLAC_OGG, NautilusFlacOgg))
#define NAUTILUS_FLAC_OGG_CLASS(k)     (G_TYPE_CHECK_CLASS_CAST((k), NAUTILUS_TYPE_FLAC_OGG, NautilusFlacOggClass))
#define NAUTILUS_IS_FLAC_OGG(o)        (G_TYPE_CHECK_INSTANCE_TYPE ((o), NAUTILUS_TYPE_FLAC_OGG))
#define NAUTILUS_IS_FLAC_OGG_CLASS(k)  (G_TYPE_CHECK_CLASS_TYPE ((k), NAUTILUS_TYPE_FLAC_OGG))
#define NAUTILUS_FLAC_OGG_GET_CLASS(o) (G_TYPE_INSTANCE_GET_CLASS ((o), NAUTILUS_TYPE_FLAC_OGG, NautilusFlacOggClass))

typedef struct _NautilusFlacOgg NautilusFlacOgg;
typedef struct _NautilusFlacOggClass NautilusFlacOggClass;

struct _NautilusFlacOgg {
	GObject parent;
};

struct _NautilusFlacOggClass {
	GObjectClass parent_class;
	/* Add Signal Functions Here */
};

GType nautilus_flac_ogg_get_type ();
NautilusFlacOgg *nautilus_flac_ogg_new (GList *files);
void nautilus_flac_ogg_show_dialog (NautilusFlacOgg *dialog);

G_END_DECLS

#endif /* NAUTILUS_FLAC_OGG_H */
